6.0.0-git
2019-03-24

[#10998] Kronolith Browse Api: make system shares browseable
Summary Kronolith Browse Api: make system shares browseable
Queue Kronolith
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester lang (at) b1-systems (dot) de
Created 2012-02-16 (2593 days ago)
Due
Updated 2012-08-29 (2398 days ago)
Assigned
Resolved 2012-04-02 (2547 days ago)
Milestone develop
Patch No

History
2012-08-29 12:34:56 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit f526d57df953211b2c9b3fa7cc8c2e714ea4b957
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Mar 29 08:45:25 2012 +0000

     Make system shares browseable in WebDAV (Request #10998)

  kronolith/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/f526d57df953211b2c9b3fa7cc8c2e714ea4b957
2012-08-29 12:34:52 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit fe12623fdf58756bb4a7a9d615c026df0412c98f
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Mar 29 08:20:56 2012 +0000

     [rla] Make system shares browseable in WebDAV (Request #10998)

  kronolith/docs/CHANGES |    1 +
  kronolith/package.xml  |    2 +-
  2 files changed, 2 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/fe12623fdf58756bb4a7a9d615c026df0412c98f
2012-08-29 12:34:49 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 66ca09baad32b69f9ad488b9cff252031b38aec4
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Mar 29 08:19:48 2012 +0000

     Revert "[rla] Make system shares browseable in WebDAV (Request #10998)"

     This reverts commit d814998df002712e7bca8d8b176494c1cbc09f31.

  kronolith/docs/CHANGES |    1 -
  kronolith/lib/Api.php  |   48 
+++++++++++++++++++++++++-----------------------
  kronolith/package.xml  |    2 +-
  3 files changed, 26 insertions(+), 25 deletions(-)

http://git.horde.org/horde-git/-/commit/66ca09baad32b69f9ad488b9cff252031b38aec4
2012-08-29 12:34:45 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit d814998df002712e7bca8d8b176494c1cbc09f31
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Mar 29 08:15:35 2012 +0000

     [rla] Make system shares browseable in WebDAV (Request #10998)

  kronolith/docs/CHANGES |    1 +
  kronolith/lib/Api.php  |   48 
+++++++++++++++++++++++-------------------------
  kronolith/package.xml  |    2 +-
  3 files changed, 25 insertions(+), 26 deletions(-)

http://git.horde.org/horde-git/-/commit/d814998df002712e7bca8d8b176494c1cbc09f31
2012-04-02 12:51:43 Ralf Lang (B1 Systems GmbH) Comment #7
State ⇒ Resolved
Reply to this comment
Works for me now.
2012-03-29 08:45:59 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (develop):

commit f526d57df953211b2c9b3fa7cc8c2e714ea4b957
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Mar 29 08:45:25 2012 +0000

     Make system shares browseable in WebDAV (Request #10998)

  kronolith/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/f526d57df953211b2c9b3fa7cc8c2e714ea4b957
2012-03-29 08:21:16 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (develop):

commit fe12623fdf58756bb4a7a9d615c026df0412c98f
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Mar 29 08:20:56 2012 +0000

     [rla] Make system shares browseable in WebDAV (Request #10998)

  kronolith/docs/CHANGES |    1 +
  kronolith/package.xml  |    2 +-
  2 files changed, 2 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/fe12623fdf58756bb4a7a9d615c026df0412c98f
2012-03-29 08:21:13 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit 66ca09baad32b69f9ad488b9cff252031b38aec4
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Mar 29 08:19:48 2012 +0000

     Revert "[rla] Make system shares browseable in WebDAV (Request #10998)"

     This reverts commit d814998df002712e7bca8d8b176494c1cbc09f31.

  kronolith/docs/CHANGES |    1 -
  kronolith/lib/Api.php  |   48 
+++++++++++++++++++++++++-----------------------
  kronolith/package.xml  |    2 +-
  3 files changed, 26 insertions(+), 25 deletions(-)

http://git.horde.org/horde-git/-/commit/66ca09baad32b69f9ad488b9cff252031b38aec4
2012-03-29 08:16:31 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (develop):

commit d814998df002712e7bca8d8b176494c1cbc09f31
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Mar 29 08:15:35 2012 +0000

     [rla] Make system shares browseable in WebDAV (Request #10998)

  kronolith/docs/CHANGES |    1 +
  kronolith/lib/Api.php  |   48 
+++++++++++++++++++++++-------------------------
  kronolith/package.xml  |    2 +-
  3 files changed, 25 insertions(+), 26 deletions(-)

http://git.horde.org/horde-git/-/commit/d814998df002712e7bca8d8b176494c1cbc09f31
2012-02-16 10:58:46 Jan Schneider Comment #2
State ⇒ Accepted
Reply to this comment
We actually do have such a "tag" for system shares already and even 
propagate it in the calendar URLs. But it looks like we never used it 
in the browse() API. We use "-system-" as the user name for system 
shares.
2012-02-16 08:11:40 Ralf Lang (B1 Systems GmbH) Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Kronolith Browse Api: make system shares browseable
Queue ⇒ Kronolith
Milestone ⇒ develop
Patch ⇒ No
Reply to this comment
Currently, the browse api doesn't support calls to shares with no 
owner (system shares) because the leading // in the path is trimmed 
away.

I'd propose to find some key ('system_calendars' or something) and 
list system shares under this key, provided the user has sufficient 
access.

I'll do this myself if it is not an unwanted feature and we can agree 
on a key - obviously there can be no user shares with the same name so 
'system' is probably not enough.

Saved Queries